NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::TrimSolidBuilder Class Reference

Mold Wizard trim solid management builder, trims bounding box body with region, subtract bounding box with workpiece or keep region and box. More...

Inheritance diagram for NXOpen::Tooling::TrimSolidBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  TrimSolidAction { TrimSolidActionTrim, TrimSolidActionSubtract, TrimSolidActionKeepBoxandRegion }
 represents the action to create trim solid. More...
 
enum  Types { TypesFace, TypesSheetBody, TypesManufacturingRegion }
 represents the option to select face or sheet body or manufacturing faces to trim the bounding box. More...
 

Public Member Functions

NXOpen::Tooling::TrimSolidBuilder::TrimSolidAction ActionType ()
 Returns the action type of trim, subtract or just keep the region and the bounding box. More...
 
bool ChangeBoxSize ()
 Returns the option to change the created boundbox size
Created in NX8.0.18. More...
 
NXOpen::ExpressionClearance ()
 Returns the single side clearance value of the bounding box. More...
 
void CreateBoundBox ()
 Creates the bounding box. More...
 
NXOpen::BodyCreateToolingBox ()
 Creates the tooling box. More...
 
void InsideBoundBox ()
 The faces inside the bounding box. More...
 
void InsideCrossBoundBox ()
 The faces inside/cross the bounding box. More...
 
NXOpen::ScCollectorRegionFaces ()
 Returns the region faces to create trim solid. More...
 
bool RemoveParameter ()
 Returns the option to remove parameter of the trim solid body
Created in NX8.0.0. More...
 
NXOpen::SelectBodySelectBoundBox ()
 Returns the selected bounding box. More...
 
NXOpen::Assemblies::SelectComponentSelectLinkTarget ()
 Returns the component that the trimmed body is linked to. More...
 
void SetActionType (NXOpen::Tooling::TrimSolidBuilder::TrimSolidAction actionType)
 Sets the action type of trim, subtract or just keep the region and the bounding box. More...
 
void SetBoundBox (NXOpen::Body *block)
 Sets the bounding box tag. More...
 
void SetChangeBoxSize (bool changeBoxSize)
 Sets the option to change the created boundbox size
Created in NX8.0.18. More...
 
void SetManualBody (NXOpen::Body *block)
 Sets the manually selected target body. More...
 
void SetRemoveParameter (bool removeParameter)
 Sets the option to remove parameter of the trim solid body
Created in NX8.0.0. More...
 
void SetTrimDirection (bool trimDirection)
 Sets the trim body side. More...
 
void SetType (NXOpen::Tooling::TrimSolidBuilder::Types type)
 Sets the type to select face, sheet body or manufacturing faces to trim the bounding box. More...
 
NXOpen::SelectBodyListSheetBody ()
 Returns the sheet body to create trim solid. More...
 
NXOpen::SelectFaceListTaggedFaces ()
 Returns the faces with the defined attribute to create trim solid. More...
 
bool TrimDirection ()
 Returns the trim body side. More...
 
NXOpen::Tooling::TrimSolidBuilder::Types Type ()
 Returns the type to select face, sheet body or manufacturing faces to trim the bounding box. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Mold Wizard trim solid management builder, trims bounding box body with region, subtract bounding box with workpiece or keep region and box.


To create a new instance of this class, use NXOpen::Tooling::TrimSolidCollection::CreateTrimSolidBuilder
Default values.

Property Value

ActionType

Trim

ChangeBoxSize

1

Clearance.Value

0.1 (millimeters part), 0.004 (inches part)

RemoveParameter

0


Created in NX8.0.0.

Member Enumeration Documentation

represents the action to create trim solid.

Enumerator
TrimSolidActionTrim 

Action to do trim.

TrimSolidActionSubtract 

Action to do subtract.

TrimSolidActionKeepBoxandRegion 

Action to keep box and region.

represents the option to select face or sheet body or manufacturing faces to trim the bounding box.

Enumerator
TypesFace 

Region with body faces.

TypesSheetBody 

Region with sheet bodies.

TypesManufacturingRegion 

Region with attribute faces.

Member Function Documentation

NXOpen::Tooling::TrimSolidBuilder::TrimSolidAction NXOpen::Tooling::TrimSolidBuilder::ActionType ( )

Returns the action type of trim, subtract or just keep the region and the bounding box.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

bool NXOpen::Tooling::TrimSolidBuilder::ChangeBoxSize ( )

Returns the option to change the created boundbox size
Created in NX8.0.18.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::TrimSolidBuilder::Clearance ( )

Returns the single side clearance value of the bounding box.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::TrimSolidBuilder::CreateBoundBox ( )

Creates the bounding box.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Body* NXOpen::Tooling::TrimSolidBuilder::CreateToolingBox ( )

Creates the tooling box.

Returns
the bounded box body
Created in NX10.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Tooling::TrimSolidBuilder::InsideBoundBox ( )

The faces inside the bounding box.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::TrimSolidBuilder::InsideCrossBoundBox ( )

The faces inside/cross the bounding box.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::ScCollector* NXOpen::Tooling::TrimSolidBuilder::RegionFaces ( )

Returns the region faces to create trim solid.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

bool NXOpen::Tooling::TrimSolidBuilder::RemoveParameter ( )

Returns the option to remove parameter of the trim solid body
Created in NX8.0.0.



License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::SelectBody* NXOpen::Tooling::TrimSolidBuilder::SelectBoundBox ( )

Returns the selected bounding box.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Assemblies::SelectComponent* NXOpen::Tooling::TrimSolidBuilder::SelectLinkTarget ( )

Returns the component that the trimmed body is linked to.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::TrimSolidBuilder::SetActionType ( NXOpen::Tooling::TrimSolidBuilder::TrimSolidAction  actionType)

Sets the action type of trim, subtract or just keep the region and the bounding box.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
actionTypeactiontype
void NXOpen::Tooling::TrimSolidBuilder::SetBoundBox ( NXOpen::Body block)

Sets the bounding box tag.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
blockthe bounding box block body
void NXOpen::Tooling::TrimSolidBuilder::SetChangeBoxSize ( bool  changeBoxSize)

Sets the option to change the created boundbox size
Created in NX8.0.18.



License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
changeBoxSizechangeboxsize
void NXOpen::Tooling::TrimSolidBuilder::SetManualBody ( NXOpen::Body block)

Sets the manually selected target body.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
blockthe manually selected target body
void NXOpen::Tooling::TrimSolidBuilder::SetRemoveParameter ( bool  removeParameter)

Sets the option to remove parameter of the trim solid body
Created in NX8.0.0.



License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
removeParameterremoveparameter
void NXOpen::Tooling::TrimSolidBuilder::SetTrimDirection ( bool  trimDirection)

Sets the trim body side.


Created in NX7.5.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
trimDirectiontrimdirection
void NXOpen::Tooling::TrimSolidBuilder::SetType ( NXOpen::Tooling::TrimSolidBuilder::Types  type)

Sets the type to select face, sheet body or manufacturing faces to trim the bounding box.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
typetype
NXOpen::SelectBodyList* NXOpen::Tooling::TrimSolidBuilder::SheetBody ( )

Returns the sheet body to create trim solid.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::SelectFaceList* NXOpen::Tooling::TrimSolidBuilder::TaggedFaces ( )

Returns the faces with the defined attribute to create trim solid.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

bool NXOpen::Tooling::TrimSolidBuilder::TrimDirection ( )

Returns the trim body side.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Tooling::TrimSolidBuilder::Types NXOpen::Tooling::TrimSolidBuilder::Type ( )

Returns the type to select face, sheet body or manufacturing faces to trim the bounding box.


Created in NX8.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.